+++
title = "Meeting Minutes #3"
+++
<!-- SPDX-License-Identifier: CC0-1.0 -->

# Libre Gaming meeting minutes #3

## Attending

Attending: emorrp1, hribhrib, seabass, ThinkSome, librebob, poVoq, Xilef

## Agenda

* Matchbot, which version?
    * Andrews new version? Was just a quick fix?
    * Hribhrib will try to host the Clojure version? Maybe convert into Matrix bot?
* Take up offer for free Lemmy hosting (one year limited)?
    * communities.libregaming.org? Lemmy.libregaming.org discuss.libregaming.org? forum.libregaming.org?
        * CNAME offer to trial before self-hosting, no .well-known (yet)
        * do we even need our own instance? - could just have a community, or offer as a service for games
    * does this federate with e.g. [https://lemmy.ml/c/opensourcegames](https://lemmy.ml/c/opensourcegames)
        * if someone has an account on libregaming.org, they can subscribe to the lemmy.ml/c/opensourcegames
        * crossposting to promote the existing community
    * see also overlap with Okapi - fracturing?
    * FGD currently has flarum
* Website status update (postponed, no-one working on it present)
* Affiliated communities update:
    * onFOSS has had some independent work - will probably merge with LibreGaming, but TBD
    * freegamedev - still separate, but happy to have lots of overlap, closer to opengameart.org
    * libregamenight - is there actually any difference in membership? (seems to be the on-topic chat)


* LibreSpades and other asset liberation activities, status update - any role for libregaming.org?
    * status: maintainer needed
    * status: works without non-free assets
    * needs: new models for player characters. Currently these are small red boxes floating about. This makes it hard to tell enemies/friendlies apart.
    * needs: new models for weapons. Is playable without
    * needs: new sounds/music
    * look into this?: [https://github.com/xtreme8000/BetterSpades](https://github.com/xtreme8000/BetterSpades)
        * has GPL3? assets, but needs licensing checking
        * needs a flatpak submitted to flathub! ([https://github.com/xtreme8000/BetterSpades/pull/115)](https://github.com/xtreme8000/BetterSpades/pull/115))
    * Top-N Most Important Projects
        * we could list this to point people at high-value quick-wins for e.g. asset creation
        * For assets, can make a Collection on opengameart, for needs-replacement stuff (think weblate but for game assets not translations)
* Status of non-free games in matchbot and #libregaming-matchmaking
    * Remove them altogether?
        * No thanks
    * Anti-feature tagging and warnings? (specing bot)
        * HIGHLY AGREEABLE, but needs work
        * I'd just like to interject for a moment...
    * Remove them if no action is being done on replacing non-free bits?
        * maybe a bit more reasonable
    * perhaps have a #libregaming-nonlibre?
    * TBD: see action
* Re-hash what exactly is LibreGaming policy on levels of libre-ness of projects (i.e. antifeature labelling vs. discounting the project)
* Status update Okapi (ContentDB fork) (postponed - no Armen)
    * Client integration with Arcadia etc? [https://tauri.studio/](https://tauri.studio/) (electron like) Client?
    * would like this running, hosting needs python flask, is it good enough we can start having accounts?
    * [https://games.armen138.com/](https://games.armen138.com/) (test instastance)
* Arcadia status update
    * rewriting because python c/c++ bindings are hard, uses qml
        * possible windows package repository?: [https://community.chocolatey.org/packages?q=SuperTuxKart](https://community.chocolatey.org/packages?q=SuperTuxKart)
        * any Windows players anyway? onFOSS, Xonotic, Mindustry, Veloren, but they don't tend to be active in our dev sides - outreach to find someone willing
        * 0install is kinda like AppImage
    * some related projects to steal ideas from: [https://playnite.link/](https://playnite.link/) [https://luxtorpeda.gitlab.io/](https://luxtorpeda.gitlab.io/) 
    * don't want to host files, need to get them from somewhere - Okapi? (itch.io is non-free)
    * productivity comes in cycles and arcadia development prone to long periods of inactivity 
* Chat bridging status update (Veloren bridge by Timo currently down)
    * Maybe try bridging through IRC? Freegamedev brdges.
    * Matrix: Synapse vs Conduit, but if conduit bridging worked fine then Timo would probably do it
* SteamDeck and libregaming?
    * find someone who actually has one
    * "SteamDeck compatible" feature labelling on libre games (a la protondb)
    * uses flatpak to distribute non-Steam software
* Discussion about a Code of Conduct (that was on the agenda for the last one but didn't happen, correct me if I'm wrong)
    * not really discussed, don't really need one for now, 
* Outreach/publicity
    * fun memes like "don't use X, check out Y"
    * "mum, I want minetest. We have minetest at home ... <shows minecraft> :("
    * lean into the fact they're not going to be exact matches
    * Why doesn't MarioKart let you play as Tux?
    * /r/linuxmasterrace - /c/linuxmasterrace ?
* Next meeting could be in 1 month if someone steps forward - try and have it by July at the latest (no longer than 3 months away)

## Actions

* hribhrib to host clojure matchbot
* seabass to send hribhrib details of new matchmaking bot (Clojure version) for hosting
* poVoq to ask Lemmy devs for an instance on behalf of lemmy.libregaming.org
* emorrp1 to write out best understanding of ThinkSome's PoV, and consensus
* emorrp1 to raise issue and chase seabass for non-free tagging on matchbot
* poVoq+emorrp1 to fix #LibreGameNight to FGD bridging by going via Matrix rather than matterbridge
* librebob look into packagekit
* ThinkSome to document needed assets for LibreSpades for someone else to check if they're in BetterSpades
* emorrp1 to export minutes onto website
